Home Download Buy Blog Forum Support

Cairo Issues on Linux

Cairo Issues on Linux

Postby mattkanwisher on Wed Aug 03, 2011 7:52 pm

Hey i'm trying to run sublime on redhat 5 enterprise edition (don't ask i'm at work). So I went and downloaded all the dependencies for cairo and everything however when I start Sublime I get this error.

/bb/web/tmp/sublime $ ./sublime_text
libgio version is less than 2.26, single instance support disabled
./sublime_text: symbol lookup error: /bb/web/local/lib/libcairo.so.2: undefined symbol: pixman_image_create_bits


===Other debug info
file sublime_text
sublime_text: setuid setgid sticky ELF 64-bit LSB executable, AMD x86-64, version 1 (SYSV), for GNU/Linux 2.6.15, dynamically linked (uses shared libs), for GNU/Linux 2.6.15, stripped

file /bb/web/local/lib/libcairo.so.2.11102.0
/bb/web/local/lib/libcairo.so.2.11102.0: ELF 64-bit LSB shared object, AMD x86-64, version 1 (SYSV), not stripped

nm -D /bb/web/local/lib/libcairo.so.2 | grep pixman
U pixman_fill
U pixman_format_supported_destination
U pixman_image_composite32
U pixman_image_create_bits
mattkanwisher
 
Posts: 1
Joined: Wed Aug 03, 2011 7:49 pm

Return to Technical Support

Who is online

Users browsing this forum: Google [Bot] and 10 guests